### Method

# Ggit Config open_level

#### Declaration [src]

    GgitConfig*
    ggit_config_open_level (
      GgitConfig* config,
      GgitConfigLevel level,
      GError** error
    )

#### Description [src]

Open a specific level config derived from a multi-level one.

#### Parameters

`level`

  Type: `GgitConfigLevel`

  The level to open.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitConfig`

The configuration at `level`, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.